关于添加linux驱动模块的问题

poka2333 2015-08-25 04:56:12
我的板子跑的是android系统,内核版本为3.4

现在我手上有一个驱动模块(ko文件),检查过之后发现这个模块是通过3.3版本的内核源码编译出来的。。。

现在我需要将这个驱动模块加入我板子的系统中,但是,由于编译环境不同,就会报错为:
disagree about version of symbol module_layout
can not insert "xxx.ko",invalid module format


我现在没有驱动源码。。只有3.4版本的内核源码,有什么办法能绕过这个检测机制而将这个驱动加进去呢?

...全文
166 点赞 收藏 2
写回复
2 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
mhpmii 2015-09-08
不行吧,我觉得是不行不行,配置文件不同也不可以吧,跟硬件相关不同硬件也不行吧
回复
花开花落_fzu 2015-08-28
估计没办法,不好弄
回复
相关推荐
发帖
驱动开发/核心开发
创建于2007-09-28

2.1w+

社区成员

硬件/嵌入开发 驱动开发/核心开发
申请成为版主
帖子事件
创建了帖子
2015-08-25 04:56
社区公告
暂无公告